# Function getFeedArgs

- getFeedArgs(feed: DifferenceFeed | IntersectionFeed | UnionFeed ): Feed []

- #### Parameters

  - feed: DifferenceFeed | IntersectionFeed | UnionFeed

  #### Returns Feed []

  - Defined in feeds/src/utils.ts:69
- getFeedArgs(
  feed: AddressFeed | AuthorFeed | IDFeed | RelayFeed | SearchFeed ,
  ): string[]

- #### Parameters

  - feed: AddressFeed | AuthorFeed | IDFeed | RelayFeed | SearchFeed

  #### Returns string[]

  - Defined in feeds/src/utils.ts:70
- getFeedArgs(feed: CreatedAtFeed ): CreatedAtItem []

- #### Parameters

  - feed: CreatedAtFeed

  #### Returns CreatedAtItem []

  - Defined in feeds/src/utils.ts:71
- getFeedArgs(feed: ListFeed ): ListItem []

- #### Parameters

  - feed: ListFeed

  #### Returns ListItem []

  - Defined in feeds/src/utils.ts:72
- getFeedArgs(feed: LabelFeed ): LabelItem []

- #### Parameters

  - feed: LabelFeed

  #### Returns LabelItem []

  - Defined in feeds/src/utils.ts:73
- getFeedArgs(feed: DVMFeed ): DVMItem []

- #### Parameters

  - feed: DVMFeed

  #### Returns DVMItem []

  - Defined in feeds/src/utils.ts:74
- getFeedArgs(feed: WOTFeed ): WOTItem []

- #### Parameters

  - feed: WOTFeed

  #### Returns WOTItem []

  - Defined in feeds/src/utils.ts:75
- getFeedArgs(feed: ScopeFeed ): Scope []

- #### Parameters

  - feed: ScopeFeed

  #### Returns Scope []

  - Defined in feeds/src/utils.ts:76
- getFeedArgs(feed: KindFeed ): number[]

- #### Parameters

  - feed: KindFeed

  #### Returns number[]

  - Defined in feeds/src/utils.ts:77
- getFeedArgs(feed: TagFeed ): [string, ...string[]]

- #### Parameters

  - feed: TagFeed

  #### Returns [string, ...string[]]

  - Defined in feeds/src/utils.ts:78
- getFeedArgs(feed: GlobalFeed ): []

- #### Parameters

  - feed: GlobalFeed

  #### Returns []

  - Defined in feeds/src/utils.ts:79